#ifndef H_BADBALL_H
#define H_BADBALL_H

#include "Object.h"
#include "Vector3d.h"
#include "Ball.h"

class CBadBall : public CObject
{
public:
	CBadBall( const CVector3d& pos, float rad, float dist, CBall* ball );
	~CBadBall();

	void Draw();
	void Update(float elapsed);
	bool IsStatic() { return false; }

protected:
	CVector3d force;
	CVector3d velocity;
	unsigned int displayList;

	CBall* target;
	float radius;	
	float leash;
	CVector3d anchor;
};

#endif
