#ifndef H_MOUSE_H
#define H_MOUSE_H

#include "Vector3d.h"

class CMouse
{
public:
	CMouse();

	void LeftButtonDown(int x, int y);
	void LeftButtonUp();
	void RightButtonDown(int x, int y);
	void RightButtonUp();
	void TrackMotion(int x, int y);

	bool IsLeftButtonDown() const { return leftButtonDown; }
	bool IsRightButtonDown() const { return rightButtonDown; } 

	int DeltaX(bool reset = true);
	int DeltaY(bool reset = true);

protected:
	bool leftButtonDown;
	bool rightButtonDown;
	int startX, startY, newX, newY;
};

#endif
