#ifndef H_TORCH_H
#define H_TORCH_H

#include "Object.h"
#include "Texture.h"
#include "ParticleSystem.h"

class CTorch : public CObject
{
public:
	CTorch(const CVector3d& pos, const CTexture* base, const CTexture* particle);

	void Draw();
	bool IsStatic() { return false; }
	void Update(float elapsed) {}

protected:
	const CTexture* baseTexture;
	CParticleSystem flame;
};


#endif
