#ifndef H_FLOOR_H
#define H_FLOOR_H

#include "Object.h"
#include "Texture.h"
#include "Vector3d.h"

class CFloor : public CObject
{
public:
	CFloor(const CVector3d& pos, float x, float z, const CTexture* tex1, const CTexture* tex2);
	
	void Draw();
	bool IsStatic() { return true; }
	void Update(float elapsed) {}

protected:
	float xSize, zSize;
	const CTexture* floorTexture;
	const CTexture* sidingTexture;
};

#endif
