#ifndef H_FRUSTUM_H
#define H_FRUSTUM_H

#include "Vector3d.h"

struct Side
{
	void Normalize();
	float a,b,c,d;
};

class CFrustum {
public:
	CFrustum() {}

	void Calculate();

	bool CheckPlane( const CVector3d* pts ) const;
	bool CheckBox( const CVector3d* pts ) const;
	bool CheckSphere( const CVector3d& center, float radius ) const;

protected:
	Side plane[6];
};

#endif

