#ifndef H_MOVINGFLOOR_H
#define H_MOVINGFLOOR_H

#include "Floor.h"

class CMovingFloor : public CFloor
{
public:
	CMovingFloor(const CVector3d& pos1, const CVector3d& pos2, float x, float z, const CTexture* tex1, const CTexture* tex2);
	
	void Update(float elapsed);
	bool IsStatic() { return false; }

protected:
	CVector3d position1, position2;
	unsigned int count;
};

#endif
