#ifndef H_PLANE_H
#define H_PLANE_H

#include "Object.h"
#include "Texture.h"
#include "Vector3d.h"

class CPlane : public CObject
{
public:
	CPlane( const CVector3d& p1, const CVector3d& p2, const CVector3d& p3, const CTexture* tex , float xTex = 1.0f, float yTex = 1.0f);

	void Draw();
	bool IsStatic() { return true; }
	void Update(float elapsed) {}

protected:
	CVector3d normal;
	CVector3d pts[4];
	const CTexture* texture;
	float s,t;
};

#endif

